Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoUniformAtomExchange< Atom > Class Template Reference

Uniform crossover - well, not really, efficient for FixedLength. More...

`#include <eoVariableLengthCrossover.h>`

Inheritance diagram for eoUniformAtomExchange< Atom >:

List of all members.

## Public Member Functions
| eoUniformAtomExchange (double _rate=0.5)
void | randomize (unsigned _size1, unsigned _size2)
| randomize: fill the mask: the exchange will be simulated first to see if sizes are OK, so it must be repeatable : the mask has to be a private data, cannot be computed on the fly
bool | operator() (unsigned _i, Atom &)
| the operator() simply returns the mask booleans in turn
virtual std::string | className () const
| inherited className()
## Private Attributes
double | rate
std::vector< bool > | mask

## Detailed Description

### template<class Atom>
class eoUniformAtomExchange< Atom >

Uniform crossover - well, not really, efficient for FixedLength.

Definition at line 52 of file eoVariableLengthCrossover.h.

The documentation for this class was generated from the following file:

- eoVariableLengthCrossover.h